'From Cuis 1.0 of 14 April 2009 [latest update: #182] on 19 April 2009 at 7:06:08 pm'!

!MenuMorph methodsFor: 'drawing' stamp: 'jmv 4/16/2009 21:40'!
drawOn: aCanvas
	"Draw the menu.  Add keyboard-focus feedback if appropriate"

	super drawOn: aCanvas.
	(self hasKeyboardFocus and: [self rootMenu hasProperty: #hasUsedKeyboard]) ifTrue: [
		aCanvas
			frameRectangle: self bounds 
			width: Preferences focusIndicatorWidth 
			color: Preferences focusIndicatorColor ]! !


!TextEditor methodsFor: 'menu messages' stamp: 'jmv 4/16/2009 21:22'!
prettyPrint: decorated
	"Reformat the contents of the receiver's view (a Browser)."

	| selectedClass newText |
	model selectedMessageName ifNil: [^ morph flash].
	selectedClass _ model selectedClassOrMetaClass.
	newText _ selectedClass compilerClass new
		format: self text
		in: selectedClass
		notifying: self
		decorated: decorated.
	newText ifNotNil:
		[self deselect; selectInvisiblyFrom: 1 to: paragraph text size.
		self replaceSelectionWith: (newText asText makeSelectorBoldIn: selectedClass).
		self selectAt: 1]! !

Preferences class removeSelector: #keyboardFocusColor!
Preferences class removeSelector: #keyboardFocusColor:!
